use std::io::{stdin,stdout,Write};
use crate::Command;
use crate::data;
use crate::Player;

pub fn input() -> String{
	let mut s=String::new();
	let _=stdout().flush();
	stdin().read_line(&mut s).expect("Did not enter a correct string");
	if let Some('\n')=s.chars().next_back() 
	{
		s.pop();
	}
	if let Some('\r')=s.chars().next_back() 
	{
		s.pop();
	}
	return s;
} 

pub fn clear_screen()
{
	Command::new("clear")
		.status()
		.expect("Failed to clear screen");
}

pub fn skill_item
(
	direction: char,
	player: &Player,
	map: &Vec<Vec<char>>,
)
{
	let mut block: char = 'X';
	if direction == 'n'
	{
		block = map[(player.coordinates.z - 1) as usize][player.coordinates.x as usize];
	}
	else if direction == 'e'
	{
		block = map[player.coordinates.z as usize][(player.coordinates.x + 1) as usize];
	}
	else if direction == 's'
	{
		block = map[(player.coordinates.z + 1) as usize][player.coordinates.x as usize];
	}
	else if direction == 'w'
	{
		block = map[player.coordinates.z as usize][(player.coordinates.x - 1) as usize];
	}
	else
	{
		println!("Invalid Direction");
	}
	/*
	if blocks::SKILLABLE.contains_key(&block)
	{
		println!("Skilling {} to the {}.", blocks::BLOCKS.get(&block).unwrap()[0].2, direction);
		
	}
	else
	{
		println!("Block: {} to the {} is not skillable.", blocks::BLOCKS.get(&block).unwrap()[0].2, direction);
		return ();
	}
	*/
}
